<!-- Container-fluid starts-->
<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css">

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header">
                    <h5>List City</h5>
                    <div class="mouna">
                        <div class="row height d-flex justify-content-center align-items-center">
                            <div class="col-md-8">
                                <div class="search">
                                    <i class="fa fa-search"></i>
                                    <input type="text" class="form-control" placeholder="searchcity..."
                                        [(ngModel)]="search_name">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Modal Ajout-->
                <div class="btn-popup pull-right">
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-original-title="test"
                        data-target="#exampleModal" (click)="open(content)">Add City</button>
                    <ng-template #content let-modal>
                        <div class="modal-header">
                            <h5 class="modal-title f-w-600" id="exampleModalLabel">Add City </h5>
                            <button type="button" class="close" aria-label="Close"
                                (click)="modal.dismiss('Cross click')">
                                <span aria-hidden="true">&times;</span>
                          
                            </button>
                        </div>
                        <div class="modal-body">
                            <form [formGroup]="addForm" class="needs-validation">
                                <div class="form">
                                    <div class="form-group mb-0">
                                        <label for="validationCustom02" class="mb-1">Country:</label>
                                        <select class="form-control" formControlName="id_country">
                                            <option *ngFor="let country of listcountry" [value]="country?.id">
                                                {{country?.name}}</option>
                                        </select>
                                    </div>
                                    <div class="form-group mb-0">
                                        <label class="mb-1">City Name :</label>
                                        <input formControlName="name" class="form-control" type="text">
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary"
                                (click)="onAddCity();modal.dismiss('Cross click')">Save</button>
                            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                                (click)="modal.dismiss('Cross click')">Close</button>
                        </div>
                    </ng-template>
                </div>
                <div id="batchDelete" class="category-table custom-datatable">
                    <div class="container">
                        <div class="row">
                            <div class="col-12 col-sm-12 col-md-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="table-responsive" id="proTeamScroll" tabindex="2"
                                            style="height: 400px; overflow: hidden; outline: none;">
                                            <table class="table table-stripe">
                                                <thead>
                                                    <tr>
                                                        <th>Name City</th>
                                                        <th>Country</th>
                                                        <th>Edit</th>
                                                    </tr>
                                                </thead>
                                                <tbody
                                                    *ngFor="let city of listcity | filter:search_name | paginate: { itemsPerPage: 5, currentPage: p }">
                                                    <tr>
                                                        <!-- <td class="table-img"><img src="http://127.0.0.1:8887/{{categorie.img}}" alt="image"/> -->
                                                        <!-- </td> -->
                                                        <td>
                                                            {{city?.name}}
                                                        </td>
                                                        <td>{{city?.country?.name}}</td>

                                                        <td style="width: 20%;">
                                                            <a (click)="open1(content1,city)"
                                                                class="table-link  text-info">
                                                                <span class="fa-stack" style="color:rgb(14, 172, 14) ;">
                                                                    <i class="fa fa-square fa-stack-2x"></i>
                                                                    <i class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                                                                </span>
                                                            </a>
                                                            <a class="table-link danger" (click)="onOpenModal(city?.id)"
                                                                data-original-title="delete" data-placement="top"
                                                                data-toggle="tooltip">
                                                                <span class="fa-stack">
                                                                    <i class="fa fa-square fa-stack-2x"></i>
                                                                    <i class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                                </span>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <!-- Modal Delete-->

                                                    <div class="modal fade" id="deleteCityModal" tabindex="-1"
                                                        role="dialog" aria-labelledby="cityDeleteModalLabel"
                                                        aria-hidden="true">
                                                        <div class="modal-dialog" role="document">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title"
                                                                        id="deleteCityModalLabel">Delete
                                                                        City</h5>
                                                                    <button type="button" class="close"
                                                                        data-dismiss="modal" aria-label="Close">
                                                                        <span aria-hidden="true">&times;</span>
                                                                    </button>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <p>Are you sure you want to delete city ?</p>
                                                                    <div class="modal-footer">
                                                                        <button type="button" class="btn btn-secondary"
                                                                            id="deleteCategorieModal"
                                                                            data-dismiss="modal">No</button>
                                                                        <button class="btn btn-danger"
                                                                            (click)="onDeletCity(deletCity?.id)"
                                                                            data-dismiss="modal">Yes</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </tbody>
                                            </table>
                                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Container-fluid Ends-->


<div class="btn-popup pull-right">
    <ng-template #content1 let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-600">Update City</h5>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addForm1" class="needs-validation">
                <div class="form">
                    <div class="form-group mb-0">
                        <label  class="mb-1">Country:</label>
                        <select class="form-control" formControlName="id_country">
                            <option *ngFor="let country of listcountry" [value]="country?.id">{{country?.name}}</option>
                        </select>
                    </div>
                    <div class="form-group mb-0">
                        <label  class="mb-1">City Name :</label>
                        <input formControlName="name" class="form-control"  type="text">
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary"
                (click)="onUpdateCity();modal.dismiss('Cross click')">Save</button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>
    </ng-template>
</div>